.cart-container {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
}

.cart {
  flex: 3;
  text-align: right;
}

.cart-summary {
  flex: 1;
  border: 1px solid #ddd;
  padding: 1.25rem;
  border-radius: .5rem;
}

table {
  width: 100%;
  border-collapse: collapse;
}

thead {
  background-color: #f4f4f4;
}

th, td {
  padding: .75rem;
  text-align: left;
  border-bottom: 1px solid #eee;
}

.quantity-control button {
  padding: .3rem .65rem;
  margin: 0 5px;
  border: none;
  border-radius: 3rem;
  width: 2rem;
  height: 2rem;
  cursor: pointer;
}

.remove-btn {
  color: red;
  cursor: pointer;
}

.checkout-btn {
  width: 100%;
}

.apply-btn {
  background-color: orange;
  border: none;
  padding: .3rem .75rem;
  margin-left: .5rem;
  cursor: pointer;
}

.back-btn {
  margin-top: 1.25rem;
  padding: .65rem 1.25rem;
  border: none;
  border-radius: 2rem;
}

@media (max-width: 768px) {
  .cart {
    flex: auto;
  }
  #cart-items {
    text-align: left;
  }
  .cart-item {
    display: flex;
    align-items: flex-start;
    background: #fff;
    border-radius: 0.5rem;
    padding: 1rem;
    margin-bottom: 1rem;
    position: relative;
    align-items: center;
  }
  .product-img {
    width: 5rem;
    height: 5rem;
    object-fit: contain;
    margin-left: 1rem;
  }
  .product-details {
    flex: 1;
    margin-left: 1rem;
  }
  .product-title {
    margin-bottom: 0.5rem;
  }
  .product-price {
    font-weight: bold;
    font-size: 1.1rem;
    margin-bottom: 0.5rem;
  }
  .product-qty button {
    border-radius: 3rem;
    width: 1.5rem;
    height: 1.5rem;
    border: none;
  }
  .return-btn {
    display: block;
    width: 100%;
    padding: 0.8rem;
    border: none;
    background: #e0e0e0;
    color: #333;
    font-size: 1rem;
    border-radius: 2rem;
    cursor: pointer;
  }

}